Ionic application Splash Screen not work

I am getting 404 /screen and 404 /apidata.json in terminal (attached the screenshot below) when running it via cordova run browser. There is no splash screen displayed. It goes directly to the root page (It is working without displaying the splash screen). And I am testing this app on ionic view as well. It is displaying only a white screen in the old android devices (in ionic view). But the app is working fine without the splash screen on the updated android devices (Android 5.0 - with ionic view). As I am new to ionic, I do not know what causes this.

Note: I have replaced the splash.png in resources folder. And after that I’ve ran ionic cordova resources. It has added different variations (png files) derived from the splash.png in the resources folder to the ./resources/android/splash folder. (It is fine. But the app is not displaying it when starts.)

Here are some more information on my setup.


when I ran npm ls in cmd,


+-- @angular/common@4.1.3
+-- @angular/compiler@4.1.3
+-- @angular/compiler-cli@4.1.3
| +-- @angular/tsc-wrapped@4.1.3
| | `-- tsickle@0.21.6
| +-- minimist@1.2.0
| `-- reflect-metadata@0.1.10
+-- @angular/core@4.1.3
+-- @angular/forms@4.1.3
+-- @angular/http@4.1.3
+-- @angular/platform-browser@4.1.3
+-- @angular/platform-browser-dynamic@4.1.3
+-- @ionic-native/barcode-scanner@4.1.0
+-- @ionic-native/core@3.12.1
+-- @ionic-native/splash-screen@3.12.1
+-- @ionic-native/status-bar@3.12.1
+-- @ionic/app-scripts@2.0.2
| +-- autoprefixer@7.1.1
| | +-- browserslist@2.2.0
| | | `-- electron-to-chromium@1.3.16
| | +-- caniuse-lite@1.0.30000704
| | +-- normalize-range@0.1.2
| | +-- num2fraction@1.2.2
| | +-- postcss@6.0.8
| | | `-- chalk@2.0.1
| | `-- postcss-value-parser@3.3.0
| +-- babili@0.1.2
| | +-- babel-cli@6.24.1
| | | +-- babel-core@6.25.0
| | | | +-- babel-generator@6.25.0
| | | | | +-- detect-indent@4.0.0
| | | | | +-- jsesc@1.3.0
| | | | | `-- trim-right@1.0.1
| | | | +-- babel-helpers@6.24.1
| | | | +-- babel-messages@6.23.0
| | | | +-- babel-template@6.25.0
| | | | +-- babel-traverse@6.25.0
| | | | | +-- globals@9.18.0
| | | | | `-- invariant@2.2.2
| | | | |   `-- loose-envify@1.3.1
| | | | +-- babel-types@6.25.0
| | | | | `-- to-fast-properties@1.0.3
| | | | +-- babylon@6.17.4
| | | | `-- private@0.1.7
| | | +-- babel-polyfill@6.23.0
| | | | `-- regenerator-runtime@0.10.5
| | | +-- babel-register@6.24.1
| | | | `-- home-or-tmp@2.0.0
| | | +-- babel-runtime@6.23.0
| | | +-- convert-source-map@1.5.0
| | | +-- fs-readdir-recursive@1.0.0
| | | +-- output-file-sync@1.1.2
| | | +-- slash@1.0.0
| | | `-- v8flags@2.1.1
| | |   `-- user-home@1.1.1
| | `-- babel-preset-babili@0.1.4
| |   +-- babel-plugin-minify-builtins@0.1.3
| |   | `-- babel-helper-evaluate-path@0.1.0
| |   +-- babel-plugin-minify-constant-folding@0.1.3
| |   +-- babel-plugin-minify-dead-code-elimination@0.1.7
| |   | +-- babel-helper-mark-eval-scopes@0.1.1
| |   | +-- babel-helper-remove-or-void@0.1.1
| |   | `-- lodash.some@4.6.0
| |   +-- babel-plugin-minify-flip-comparisons@0.1.2
| |   | `-- babel-helper-is-void-0@0.1.1
| |   +-- babel-plugin-minify-guarded-expressions@0.1.2
| |   | `-- babel-helper-flip-expressions@0.1.2
| |   +-- babel-plugin-minify-infinity@0.1.2
| |   +-- babel-plugin-minify-mangle-names@0.1.3
| |   +-- babel-plugin-minify-numeric-literals@0.1.1
| |   +-- babel-plugin-minify-replace@0.1.2
| |   +-- babel-plugin-minify-simplify@0.1.2
| |   | +-- babel-helper-is-nodes-equiv@0.0.1
| |   | `-- babel-helper-to-multiple-sequence-expressions@0.1.1
| |   +-- babel-plugin-minify-type-constructors@0.1.2
| |   +-- babel-plugin-transform-inline-consecutive-adds@0.1.2
| |   +-- babel-plugin-transform-member-expression-literals@6.8.4
| |   +-- babel-plugin-transform-merge-sibling-variables@6.8.5
| |   +-- babel-plugin-transform-minify-booleans@6.8.2
| |   +-- babel-plugin-transform-property-literals@6.8.4
| |   +-- babel-plugin-transform-regexp-constructors@0.1.1
| |   +-- babel-plugin-transform-remove-console@6.8.4
| |   +-- babel-plugin-transform-remove-debugger@6.8.4
| |   +-- babel-plugin-transform-remove-undefined@0.1.2
| |   +-- babel-plugin-transform-simplify-comparison-operators@6.8.4
| |   +-- babel-plugin-transform-undefined-to-void@6.8.2
| |   `-- lodash.isplainobject@4.0.6
| +-- chalk@1.1.3
| | +-- ansi-styles@2.2.1
| | +-- escape-string-regexp@1.0.5
| | +-- has-ansi@2.0.0
| | | `-- ansi-regex@2.1.1
| | +-- strip-ansi@3.0.1
| | `-- supports-color@2.0.0
| +-- chokidar@1.7.0
| | +-- anymatch@1.3.0
| | | `-- arrify@1.0.1
| | +-- async-each@1.0.1
| | +-- UNMET OPTIONAL DEPENDENCY fsevents@^1.0.0
| | +-- glob-parent@2.0.0
| | +-- inherits@2.0.3
| | +-- is-binary-path@1.0.1
| | | `-- binary-extensions@1.8.0
| | +-- is-glob@2.0.1
| | | `-- is-extglob@1.0.0
| | +-- path-is-absolute@1.0.1
| | `-- readdirp@2.1.0
| |   +-- readable-stream@2.3.3
| |   | +-- core-util-is@1.0.2
| |   | +-- isarray@1.0.0
| |   | +-- process-nextick-args@1.0.7
| |   | +-- string_decoder@1.0.3
| |   | `-- util-deprecate@1.0.2
| |   `-- set-immediate-shim@1.0.1
| +-- clean-css@3.4.27
| | +-- commander@2.8.1
| | | `-- graceful-readlink@1.0.1
| | `-- source-map@0.4.4
| |   `-- amdefine@1.0.1
| +-- cross-spawn@5.1.0
| | +-- lru-cache@4.1.1
| | | +-- pseudomap@1.0.2
| | | `-- yallist@2.1.2
| | +-- shebang-command@1.2.0
| | | `-- shebang-regex@1.0.0
| | `-- which@1.2.14
| |   `-- isexe@2.0.0
| +-- express@4.15.3
| | +-- accepts@1.3.3
| | | +-- mime-types@2.1.15
| | | | `-- mime-db@1.27.0
| | | `-- negotiator@0.6.1
| | +-- array-flatten@1.1.1
| | +-- content-disposition@0.5.2
| | +-- content-type@1.0.2
| | +-- cookie@0.3.1
| | +-- cookie-signature@1.0.6
| | +-- debug@2.6.7
| | | `-- ms@2.0.0
| | +-- depd@1.1.0
| | +-- encodeurl@1.0.1
| | +-- escape-html@1.0.3
| | +-- etag@1.8.0
| | +-- finalhandler@1.0.3
| | | +-- debug@2.6.7
| | | `-- unpipe@1.0.0
| | +-- fresh@0.5.0
| | +-- merge-descriptors@1.0.1
| | +-- methods@1.1.2
| | +-- on-finished@2.3.0
| | | `-- ee-first@1.1.1
| | +-- parseurl@1.3.1
| | +-- path-to-regexp@0.1.7
| | +-- proxy-addr@1.1.4
| | | +-- forwarded@0.1.0
| | | `-- ipaddr.js@1.3.0
| | +-- qs@6.4.0
| | +-- range-parser@1.2.0
| | +-- send@0.15.3
| | | +-- debug@2.6.7
| | | +-- destroy@1.0.4
| | | +-- http-errors@1.6.1
| | | `-- mime@1.3.4
| | +-- serve-static@1.12.3
| | +-- setprototypeof@1.0.3
| | +-- statuses@1.3.1
| | +-- type-is@1.6.15
| | | +-- media-typer@0.3.0
| | | `-- mime-types@2.1.15
| | |   `-- mime-db@1.27.0
| | +-- utils-merge@1.0.0
| | `-- vary@1.1.1
| +-- fs-extra@3.0.1
| | +-- graceful-fs@4.1.11
| | +-- jsonfile@3.0.1
| | `-- universalify@0.1.1
| +-- glob@7.1.1
| | +-- fs.realpath@1.0.0
| | +-- inflight@1.0.6
| | | `-- wrappy@1.0.2
| | +-- minimatch@3.0.4
| | | `-- brace-expansion@1.1.8
| | |   +-- balanced-match@1.0.0
| | |   `-- concat-map@0.0.1
| | `-- once@1.4.0
| +-- json-loader@0.5.4
| +-- magic-string@0.19.1
| | `-- vlq@0.2.2
| +-- node-sass@4.5.3
| | +-- async-foreach@0.1.3
| | +-- cross-spawn@3.0.1
| | +-- gaze@1.1.2
| | | `-- globule@1.2.0
| | +-- get-stdin@4.0.1
| | +-- in-publish@2.0.0
| | +-- lodash.assign@4.2.0
| | +-- lodash.clonedeep@4.5.0
| | +-- lodash.mergewith@4.6.0
| | +-- meow@3.7.0
| | | +-- camelcase-keys@2.1.0
| | | | `-- camelcase@2.1.1
| | | +-- decamelize@1.2.0
| | | +-- loud-rejection@1.6.0
| | | | +-- currently-unhandled@0.4.1
| | | | | `-- array-find-index@1.0.2
| | | | `-- signal-exit@3.0.2
| | | +-- map-obj@1.0.1
| | | +-- normalize-package-data@2.4.0
| | | | +-- hosted-git-info@2.5.0
| | | | +-- is-builtin-module@1.0.0
| | | | `-- validate-npm-package-license@3.0.1
| | | |   +-- spdx-correct@1.0.2
| | | |   | `-- spdx-license-ids@1.2.2
| | | |   `-- spdx-expression-parse@1.0.4
| | | +-- read-pkg-up@1.0.1
| | | | +-- find-up@1.1.2
| | | | | +-- path-exists@2.1.0
| | | | | `-- pinkie-promise@2.0.1
| | | | |   `-- pinkie@2.0.4
| | | | `-- read-pkg@1.1.0
| | | |   +-- load-json-file@1.1.0
| | | |   | +-- parse-json@2.2.0
| | | |   | | `-- error-ex@1.3.1
| | | |   | |   `-- is-arrayish@0.2.1
| | | |   | +-- pify@2.3.0
| | | |   | `-- strip-bom@2.0.0
| | | |   |   `-- is-utf8@0.2.1
| | | |   `-- path-type@1.1.0
| | | +-- redent@1.0.0
| | | | +-- indent-string@2.1.0
| | | | | `-- repeating@2.0.1
| | | | |   `-- is-finite@1.0.2
| | | | `-- strip-indent@1.0.1
| | | `-- trim-newlines@1.0.0
| | +-- mkdirp@0.5.1
| | | `-- minimist@0.0.8
| | +-- nan@2.6.2
| | +-- node-gyp@3.6.2
| | | +-- fstream@1.0.11
| | | +-- nopt@3.0.6
| | | | `-- abbrev@1.1.0
| | | +-- osenv@0.1.4
| | | | +-- os-homedir@1.0.2
| | | | `-- os-tmpdir@1.0.2
| | | `-- tar@2.2.1
| | |   `-- block-stream@0.0.9
| | +-- npmlog@4.1.2
| | | +-- are-we-there-yet@1.1.4
| | | | +-- delegates@1.0.0
| | | | `-- readable-stream@2.3.3
| | | |   +-- isarray@1.0.0
| | | |   `-- string_decoder@1.0.3
| | | +-- console-control-strings@1.1.0
| | | +-- gauge@2.7.4
| | | | +-- aproba@1.1.2
| | | | +-- has-unicode@2.0.1
| | | | `-- wide-align@1.1.2
| | | `-- set-blocking@2.0.0
| | +-- request@2.81.0
| | | +-- aws-sign2@0.6.0
| | | +-- aws4@1.6.0
| | | +-- caseless@0.12.0
| | | +-- combined-stream@1.0.5
| | | | `-- delayed-stream@1.0.0
| | | +-- extend@3.0.0
| | | +-- forever-agent@0.6.1
| | | +-- form-data@2.1.4
| | | | `-- asynckit@0.4.0
| | | +-- har-validator@4.2.1
| | | | +-- ajv@4.11.8
| | | | `-- har-schema@1.0.5
| | | +-- hawk@3.1.3
| | | | +-- boom@2.10.1
| | | | +-- cryptiles@2.0.5
| | | | +-- hoek@2.16.3
| | | | `-- sntp@1.0.9
| | | +-- http-signature@1.1.1
| | | | +-- assert-plus@0.2.0
| | | | +-- jsprim@1.4.0
| | | | | +-- assert-plus@1.0.0
| | | | | +-- extsprintf@1.0.2
| | | | | +-- json-schema@0.2.3
| | | | | `-- verror@1.3.6
| | | | `-- sshpk@1.13.1
| | | |   +-- asn1@0.2.3
| | | |   +-- assert-plus@1.0.0
| | | |   +-- bcrypt-pbkdf@1.0.1
| | | |   +-- dashdash@1.14.1
| | | |   | `-- assert-plus@1.0.0
| | | |   +-- ecc-jsbn@0.1.1
| | | |   +-- getpass@0.1.7
| | | |   | `-- assert-plus@1.0.0
| | | |   +-- jsbn@0.1.1
| | | |   `-- tweetnacl@0.14.5
| | | +-- is-typedarray@1.0.0
| | | +-- isstream@0.1.2
| | | +-- json-stringify-safe@5.0.1
| | | +-- mime-types@2.1.15
| | | | `-- mime-db@1.27.0
| | | +-- oauth-sign@0.8.2
| | | +-- performance-now@0.2.0
| | | +-- qs@6.4.0
| | | +-- safe-buffer@5.1.1
| | | +-- stringstream@0.0.5
| | | +-- tough-cookie@2.3.2
| | | `-- tunnel-agent@0.6.0
| | +-- sass-graph@2.2.4
| | | +-- scss-tokenizer@0.2.3
| | | | `-- source-map@0.4.4
| | | `-- yargs@7.1.0
| | |   +-- camelcase@3.0.0
| | |   `-- yargs-parser@5.0.0
| | |     `-- camelcase@3.0.0
| | `-- stdout-stream@1.4.0
| |   `-- readable-stream@2.3.3
| |     +-- isarray@1.0.0
| |     `-- string_decoder@1.0.3
| +-- os-name@2.0.1
| | +-- macos-release@1.1.0
| | `-- win-release@1.1.1
| +-- postcss@5.2.17
| | +-- js-base64@2.1.9
| | +-- source-map@0.5.6
| | `-- supports-color@3.2.3
| |   `-- has-flag@1.0.0
| +-- proxy-middleware@0.15.0
| +-- rollup@0.42.0
| | `-- source-map-support@0.4.15
| +-- rollup-plugin-commonjs@8.0.2
| | +-- acorn@4.0.13
| | +-- estree-walker@0.3.1
| | `-- resolve@1.3.3
| |   `-- path-parse@1.0.5
| +-- rollup-plugin-json@2.3.0
| +-- rollup-plugin-node-builtins@2.1.2
| | +-- browserify-fs@1.0.0
| | | +-- level-filesystem@1.2.0
| | | | +-- concat-stream@1.6.0
| | | | | +-- readable-stream@2.3.3
| | | | | | +-- isarray@1.0.0
| | | | | | `-- string_decoder@1.0.3
| | | | | `-- typedarray@0.0.6
| | | | +-- fwd-stream@1.0.4
| | | | | `-- readable-stream@1.0.34
| | | | +-- level-blobs@0.1.7
| | | | | `-- readable-stream@1.1.14
| | | | +-- level-peek@1.0.6
| | | | | `-- level-fix-range@1.0.2
| | | | +-- level-sublevel@5.2.3
| | | | | +-- level-fix-range@2.0.0
| | | | | | `-- clone@0.1.19
| | | | | +-- level-hooks@4.5.0
| | | | | +-- string-range@1.2.2
| | | | | `-- xtend@2.0.6
| | | | |   +-- is-object@0.1.2
| | | | |   `-- object-keys@0.2.0
| | | | |     `-- is@0.2.7
| | | | +-- octal@1.0.0
| | | | `-- xtend@2.2.0
| | | +-- level-js@2.2.4
| | | | +-- abstract-leveldown@0.12.4
| | | | | `-- xtend@3.0.0
| | | | +-- idb-wrapper@1.7.1
| | | | +-- isbuffer@0.0.0
| | | | +-- ltgt@2.2.0
| | | | +-- typedarray-to-buffer@1.0.4
| | | | `-- xtend@2.1.2
| | | |   `-- object-keys@0.4.0
| | | `-- levelup@0.18.6
| | |   +-- bl@0.8.2
| | |   | `-- readable-stream@1.0.34
| | |   +-- deferred-leveldown@0.2.0
| | |   +-- prr@0.0.0
| | |   +-- readable-stream@1.0.34
| | |   +-- semver@2.3.2
| | |   `-- xtend@3.0.0
| | +-- buffer-es6@4.9.3
| | +-- crypto-browserify@3.11.1
| | | +-- browserify-cipher@1.0.0
| | | | +-- browserify-aes@1.0.6
| | | | | `-- buffer-xor@1.0.3
| | | | +-- browserify-des@1.0.0
| | | | | `-- des.js@1.0.0
| | | | `-- evp_bytestokey@1.0.0
| | | +-- browserify-sign@4.0.4
| | | | +-- bn.js@4.11.7
| | | | +-- browserify-rsa@4.0.1
| | | | +-- elliptic@6.4.0
| | | | | +-- brorand@1.1.0
| | | | | +-- hash.js@1.1.3
| | | | | +-- hmac-drbg@1.0.1
| | | | | +-- minimalistic-assert@1.0.0
| | | | | `-- minimalistic-crypto-utils@1.0.1
| | | | `-- parse-asn1@5.1.0
| | | |   `-- asn1.js@4.9.1
| | | +-- create-ecdh@4.0.0
| | | +-- create-hash@1.1.3
| | | | +-- cipher-base@1.0.4
| | | | +-- ripemd160@2.0.1
| | | | | `-- hash-base@2.0.2
| | | | `-- sha.js@2.4.8
| | | +-- create-hmac@1.1.6
| | | +-- diffie-hellman@5.0.2
| | | | `-- miller-rabin@4.0.0
| | | +-- pbkdf2@3.0.12
| | | +-- public-encrypt@4.0.0
| | | `-- randombytes@2.0.5
| | `-- process-es6@0.11.6
| +-- rollup-plugin-node-globals@1.1.0
| | +-- acorn@4.0.13
| | +-- estree-walker@0.2.1
| | +-- magic-string@0.16.0
| | `-- rollup-pluginutils@1.5.2
| +-- rollup-plugin-node-resolve@3.0.0
| | +-- browser-resolve@1.11.2
| | | `-- resolve@1.1.7
| | +-- builtin-modules@1.1.1
| | `-- is-module@1.0.0
| +-- rollup-pluginutils@2.0.1
| | `-- micromatch@2.3.11
| |   +-- arr-diff@2.0.0
| |   | `-- arr-flatten@1.1.0
| |   +-- array-unique@0.2.1
| |   +-- braces@1.8.5
| |   | +-- expand-range@1.8.2
| |   | | `-- fill-range@2.2.3
| |   | |   +-- is-number@2.1.0
| |   | |   +-- isobject@2.1.0
| |   | |   | `-- isarray@1.0.0
| |   | |   +-- randomatic@1.1.7
| |   | |   | +-- is-number@3.0.0
| |   | |   | | `-- kind-of@3.2.2
| |   | |   | `-- kind-of@4.0.0
| |   | |   `-- repeat-string@1.6.1
| |   | +-- preserve@0.2.0
| |   | `-- repeat-element@1.1.2
| |   +-- expand-brackets@0.1.5
| |   | `-- is-posix-bracket@0.1.1
| |   +-- extglob@0.3.2
| |   +-- filename-regex@2.0.1
| |   +-- kind-of@3.2.2
| |   | `-- is-buffer@1.1.5
| |   +-- normalize-path@2.1.1
| |   | `-- remove-trailing-separator@1.0.2
| |   +-- object.omit@2.0.1
| |   | +-- for-own@0.1.5
| |   | | `-- for-in@1.0.2
| |   | `-- is-extendable@0.1.1
| |   +-- parse-glob@3.0.4
| |   | +-- glob-base@0.3.0
| |   | `-- is-dotfile@1.0.3
| |   `-- regex-cache@0.4.3
| |     +-- is-equal-shallow@0.1.3
| |     `-- is-primitive@2.0.0
| +-- tiny-lr@1.0.4
| | +-- body@5.1.0
| | | +-- continuable-cache@0.3.1
| | | +-- error@7.0.2
| | | | +-- string-template@0.2.1
| | | | `-- xtend@4.0.1
| | | +-- raw-body@1.1.7
| | | | `-- bytes@1.0.0
| | | `-- safe-json-parse@1.0.1
| | +-- debug@2.2.0
| | | `-- ms@0.7.1
| | +-- faye-websocket@0.10.0
| | | `-- websocket-driver@0.6.5
| | |   `-- websocket-extensions@0.1.1
| | +-- livereload-js@2.2.2
| | +-- object-assign@4.1.1
| | `-- qs@6.5.0
| +-- tslint@5.5.0
| | +-- babel-code-frame@6.22.0
| | | +-- esutils@2.0.2
| | | `-- js-tokens@3.0.2
| | +-- colors@1.1.2
| | +-- commander@2.11.0
| | +-- diff@3.3.0
| | +-- semver@5.3.0
| | +-- tslib@1.7.1
| | `-- tsutils@2.7.1
| +-- tslint-eslint-rules@4.1.1
| | +-- doctrine@0.7.2
| | | `-- esutils@1.1.6
| | `-- tsutils@1.9.1
| +-- uglify-js@3.0.25
| | `-- commander@2.9.0
| +-- webpack@3.2.0
| | +-- acorn@5.1.1
| | +-- acorn-dynamic-import@2.0.2
| | | `-- acorn@4.0.13
| | +-- UNMET PEER DEPENDENCY ajv@5.2.2
| | | +-- co@4.6.0
| | | +-- fast-deep-equal@1.0.0
| | | +-- json-schema-traverse@0.3.1
| | | `-- json-stable-stringify@1.0.1
| | |   `-- jsonify@0.0.0
| | +-- ajv-keywords@2.1.0
| | +-- async@2.5.0
| | +-- enhanced-resolve@3.3.0
| | +-- escope@3.6.0
| | | +-- es6-map@0.1.5
| | | | +-- d@1.0.0
| | | | +-- es5-ext@0.10.24
| | | | +-- es6-iterator@2.0.1
| | | | +-- es6-set@0.1.5
| | | | +-- es6-symbol@3.1.1
| | | | `-- event-emitter@0.3.5
| | | +-- es6-weak-map@2.0.2
| | | +-- esrecurse@4.2.0
| | | `-- estraverse@4.2.0
| | +-- interpret@1.0.3
| | +-- json5@0.5.1
| | +-- loader-runner@2.3.0
| | +-- loader-utils@1.1.0
| | | +-- big.js@3.1.3
| | | `-- emojis-list@2.1.0
| | +-- memory-fs@0.4.1
| | | +-- errno@0.1.4
| | | `-- readable-stream@2.3.3
| | |   +-- isarray@1.0.0
| | |   `-- string_decoder@1.0.3
| | +-- node-libs-browser@2.0.0
| | | +-- assert@1.4.1
| | | +-- browserify-zlib@0.1.4
| | | | `-- pako@0.2.9
| | | +-- buffer@4.9.1
| | | | +-- base64-js@1.2.1
| | | | +-- ieee754@1.1.8
| | | | `-- isarray@1.0.0
| | | +-- console-browserify@1.1.0
| | | | `-- date-now@0.1.4
| | | +-- constants-browserify@1.0.0
| | | +-- domain-browser@1.1.7
| | | +-- events@1.1.1
| | | +-- https-browserify@0.0.1
| | | +-- os-browserify@0.2.1
| | | +-- path-browserify@0.0.0
| | | +-- process@0.11.10
| | | +-- punycode@1.4.1
| | | +-- querystring-es3@0.2.1
| | | +-- readable-stream@2.3.3
| | | | +-- isarray@1.0.0
| | | | `-- string_decoder@1.0.3
| | | +-- stream-browserify@2.0.1
| | | | `-- readable-stream@2.3.3
| | | |   +-- isarray@1.0.0
| | | |   `-- string_decoder@1.0.3
| | | +-- stream-http@2.7.2
| | | | +-- builtin-status-codes@3.0.0
| | | | +-- readable-stream@2.3.3
| | | | | +-- isarray@1.0.0
| | | | | `-- string_decoder@1.0.3
| | | | `-- to-arraybuffer@1.0.1
| | | +-- string_decoder@0.10.31
| | | +-- timers-browserify@2.0.2
| | | | `-- setimmediate@1.0.5
| | | +-- tty-browserify@0.0.0
| | | +-- url@0.11.0
| | | | +-- punycode@1.3.2
| | | | `-- querystring@0.2.0
| | | +-- util@0.10.3
| | | | `-- inherits@2.0.1
| | | `-- vm-browserify@0.0.4
| | |   `-- indexof@0.0.1
| | +-- supports-color@3.2.3
| | | `-- has-flag@1.0.0
| | +-- tapable@0.2.7
| | +-- uglifyjs-webpack-plugin@0.4.6
| | | `-- uglify-js@2.8.29
| | |   +-- uglify-to-browserify@1.0.2
| | |   `-- yargs@3.10.0
| | |     +-- camelcase@1.2.1
| | |     +-- cliui@2.1.0
| | |     | +-- center-align@0.1.3
| | |     | | +-- align-text@0.1.4
| | |     | | | `-- longest@1.0.1
| | |     | | `-- lazy-cache@1.0.4
| | |     | +-- right-align@0.1.3
| | |     | `-- wordwrap@0.0.2
| | |     `-- window-size@0.1.0
| | +-- watchpack@1.4.0
| | | `-- async@2.5.0
| | +-- webpack-sources@1.0.1
| | | `-- source-list-map@2.0.0
| | `-- yargs@6.6.0
| |   +-- camelcase@3.0.0
| |   +-- cliui@3.2.0
| |   +-- get-caller-file@1.0.2
| |   +-- os-locale@1.4.0
| |   | `-- lcid@1.0.0
| |   |   `-- invert-kv@1.0.0
| |   +-- require-directory@2.1.1
| |   +-- require-main-filename@1.0.1
| |   +-- string-width@1.0.2
| |   | +-- code-point-at@1.1.0
| |   | `-- is-fullwidth-code-point@1.0.0
| |   |   `-- number-is-nan@1.0.1
| |   +-- which-module@1.0.0
| |   +-- y18n@3.2.1
| |   `-- yargs-parser@4.2.1
| +-- ws@1.1.1
| | +-- options@0.0.6
| | `-- ultron@1.0.2
| `-- xml2js@0.4.17
|   +-- sax@1.2.4
|   `-- xmlbuilder@4.2.1
+-- @ionic/cli-plugin-cordova@1.4.1
| +-- @ionic/cli-utils@1.5.0
| | +-- archiver@1.3.0
| | | +-- archiver-utils@1.3.0
| | | | +-- lazystream@1.0.0
| | | | | `-- readable-stream@2.3.3
| | | | |   +-- isarray@1.0.0
| | | | |   `-- string_decoder@1.0.3
| | | | `-- readable-stream@2.3.3
| | | |   +-- isarray@1.0.0
| | | |   `-- string_decoder@1.0.3
| | | +-- async@2.5.0
| | | +-- buffer-crc32@0.2.13
| | | +-- readable-stream@2.3.3
| | | | +-- isarray@1.0.0
| | | | `-- string_decoder@1.0.3
| | | +-- tar-stream@1.5.4
| | | | +-- bl@1.2.1
| | | | +-- end-of-stream@1.4.0
| | | | `-- readable-stream@2.3.3
| | | |   +-- isarray@1.0.0
| | | |   `-- string_decoder@1.0.3
| | | +-- walkdir@0.0.11
| | | `-- zip-stream@1.2.0
| | |   +-- compress-commons@1.2.0
| | |   | +-- crc32-stream@2.0.0
| | |   | | +-- crc@3.4.4
| | |   | | `-- readable-stream@2.3.3
| | |   | |   +-- isarray@1.0.0
| | |   | |   `-- string_decoder@1.0.3
| | |   | `-- readable-stream@2.3.3
| | |   |   +-- isarray@1.0.0
| | |   |   `-- string_decoder@1.0.3
| | |   `-- readable-stream@2.3.3
| | |     +-- isarray@1.0.0
| | |     `-- string_decoder@1.0.3
| | +-- chalk@2.0.1
| | +-- ci-info@1.0.0
| | +-- cross-spawn@4.0.2
| | +-- dargs@5.1.0
| | +-- inquirer@3.2.0
| | | +-- ansi-escapes@2.0.0
| | | +-- chalk@2.0.1
| | | +-- cli-cursor@2.1.0
| | | | `-- restore-cursor@2.0.0
| | | |   `-- onetime@2.0.1
| | | |     `-- mimic-fn@1.1.0
| | | +-- cli-width@2.1.0
| | | +-- external-editor@2.0.4
| | | | +-- iconv-lite@0.4.18
| | | | +-- jschardet@1.5.0
| | | | `-- tmp@0.0.31
| | | +-- figures@2.0.0
| | | +-- mute-stream@0.0.7
| | | +-- run-async@2.3.0
| | | | `-- is-promise@2.1.0
| | | +-- rx-lite@4.0.8
| | | +-- rx-lite-aggregates@4.0.8
| | | +-- string-width@2.1.1
| | | | `-- is-fullwidth-code-point@2.0.0
| | | +-- strip-ansi@4.0.0
| | | | `-- ansi-regex@3.0.0
| | | `-- through@2.3.8
| | +-- leek@0.0.24
| | | +-- lodash.assign@3.2.0
| | | | +-- lodash._baseassign@3.2.0
| | | | | `-- lodash._basecopy@3.0.1
| | | | +-- lodash._createassigner@3.1.1
| | | | | +-- lodash._bindcallback@3.0.1
| | | | | +-- lodash._isiterateecall@3.0.9
| | | | | `-- lodash.restparam@3.6.1
| | | | `-- lodash.keys@3.1.2
| | | |   +-- lodash._getnative@3.9.1
| | | |   +-- lodash.isarguments@3.1.0
| | | |   `-- lodash.isarray@3.0.4
| | | `-- rsvp@3.6.2
| | +-- lodash@4.17.4
| | +-- ncp@2.0.0
| | +-- rimraf@2.6.1
| | +-- slice-ansi@1.0.0
| | | `-- is-fullwidth-code-point@2.0.0
| | +-- string-width@2.1.1
| | | `-- is-fullwidth-code-point@2.0.0
| | +-- strip-ansi@4.0.0
| | | `-- ansi-regex@3.0.0
| | +-- superagent@3.5.2
| | | +-- component-emitter@1.2.1
| | | +-- cookiejar@2.0.6
| | | +-- debug@2.6.8
| | | +-- form-data@2.2.0
| | | | +-- combined-stream@1.0.5
| | | | | `-- delayed-stream@1.0.0
| | | | `-- mime-types@2.1.15
| | | |   `-- mime-db@1.27.0
| | | +-- formidable@1.1.1
| | | +-- qs@6.5.0
| | | `-- readable-stream@2.3.3
| | |   +-- isarray@1.0.0
| | |   `-- string_decoder@1.0.3
| | +-- uuid@3.1.0
| | `-- wrap-ansi@2.1.0
| `-- chalk@2.0.1
|   +-- ansi-styles@3.1.0
|   | `-- color-convert@1.9.0
|   |   `-- color-name@1.1.3
|   `-- supports-color@4.2.0
|     `-- has-flag@2.0.0
+-- @ionic/cli-plugin-ionic-angular@1.3.2
| `-- chalk@2.0.1
+-- @ionic/cloud-angular@0.12.0
| `-- @ionic/cloud@0.16.0
|   +-- @ionic/db@0.1.0
|   | +-- core-js@2.4.1
|   | +-- deep-equal@1.0.1
|   | +-- es6-promise@3.3.1
|   | +-- is-plain-object@2.0.4
|   | | `-- isobject@3.0.1
|   | +-- snake-case@2.1.0
|   | | `-- no-case@2.3.1
|   | |   `-- lower-case@1.1.4
|   | `-- ws@1.1.4
|   +-- ionic-native@2.9.0
|   | `-- rxjs@5.0.1
|   `-- superagent@1.7.2
|     +-- form-data@0.2.0
|     | +-- async@0.9.2
|     | +-- combined-stream@0.0.7
|     | | `-- delayed-stream@0.0.5
|     | `-- mime-types@2.0.14
|     |   `-- mime-db@1.12.0
|     +-- formidable@1.0.17
|     +-- qs@2.3.3
|     +-- readable-stream@1.0.27-1
|     `-- reduce-component@1.0.1
+-- @ionic/storage@2.0.1
| +-- @types/localforage@0.0.30
| +-- localforage@1.4.3
| | `-- lie@3.0.2
| |   +-- es3ify@0.1.4
| |   | +-- esprima-fb@3001.1.0-dev-harmony-fb
| |   | `-- jstransform@3.0.0
| |   |   +-- base62@0.1.1
| |   |   `-- source-map@0.1.31
| |   +-- immediate@3.0.6
| |   +-- inline-process-browser@1.0.0
| |   | +-- falafel@1.2.0
| |   | | +-- acorn@1.2.2
| |   | | +-- foreach@2.0.5
| |   | | `-- object-keys@1.0.11
| |   | `-- through2@0.6.5
| |   |   `-- readable-stream@1.0.34
| |   `-- unreachable-branch-transform@0.3.0
| |     +-- esmangle-evaluator@1.0.1
| |     `-- recast@0.10.43
| |       +-- ast-types@0.8.15
| |       `-- esprima-fb@15001.1001.0-dev-harmony-fb
| `-- localforage-cordovasqlitedriver@1.5.0
+-- cordova-android@3.7.0
| +-- q@0.9.7
| `-- shelljs@0.2.6
+-- cordova-browser@4.1.0
| +-- adm-zip@0.4.7
| +-- cordova-serve@1.0.0
| | +-- chalk@1.1.1
| | | +-- ansi-styles@2.2.0
| | | | `-- color-convert@1.0.0
| | | +-- escape-string-regexp@1.0.5
| | | +-- has-ansi@2.0.0
| | | | `-- ansi-regex@2.0.0
| | | +-- strip-ansi@3.0.1
| | | | `-- ansi-regex@2.0.0
| | | `-- supports-color@2.0.0
| | +-- compression@1.6.1
| | | +-- accepts@1.3.1
| | | | +-- mime-types@2.1.10
| | | | | `-- mime-db@1.22.0
| | | | `-- negotiator@0.6.0
| | | +-- bytes@2.2.0
| | | +-- compressible@2.0.7
| | | | `-- mime-db@1.22.0
| | | +-- debug@2.2.0
| | | | `-- ms@0.7.1
| | | +-- on-headers@1.0.1
| | | `-- vary@1.1.0
| | `-- express@4.13.4
| |   +-- accepts@1.2.13
| |   | +-- mime-types@2.1.10
| |   | | `-- mime-db@1.22.0
| |   | `-- negotiator@0.5.3
| |   +-- array-flatten@1.1.1
| |   +-- content-disposition@0.5.1
| |   +-- content-type@1.0.1
| |   +-- cookie@0.1.5
| |   +-- cookie-signature@1.0.6
| |   +-- debug@2.2.0
| |   | `-- ms@0.7.1
| |   +-- depd@1.1.0
| |   +-- escape-html@1.0.3
| |   +-- etag@1.7.0
| |   +-- finalhandler@0.4.1
| |   | `-- unpipe@1.0.0
| |   +-- fresh@0.3.0
| |   +-- merge-descriptors@1.0.1
| |   +-- methods@1.1.2
| |   +-- on-finished@2.3.0
| |   | `-- ee-first@1.1.1
| |   +-- parseurl@1.3.1
| |   +-- path-to-regexp@0.1.7
| |   +-- proxy-addr@1.0.10
| |   | +-- forwarded@0.1.0
| |   | `-- ipaddr.js@1.0.5
| |   +-- qs@4.0.0
| |   +-- range-parser@1.0.3
| |   +-- send@0.13.1
| |   | +-- destroy@1.0.4
| |   | +-- http-errors@1.3.1
| |   | | `-- inherits@2.0.1
| |   | +-- mime@1.3.4
| |   | +-- ms@0.7.1
| |   | `-- statuses@1.2.1
| |   +-- serve-static@1.10.2
| |   +-- type-is@1.6.12
| |   | +-- media-typer@0.3.0
| |   | `-- mime-types@2.1.10
| |   |   `-- mime-db@1.22.0
| |   +-- utils-merge@1.0.0
| |   `-- vary@1.0.1
| +-- nopt@3.0.6
| | `-- abbrev@1.0.7
| +-- q@1.4.1
| `-- shelljs@0.6.0
+-- cordova-plugin-compat@1.1.0
+-- cordova-plugin-console@1.0.7
+-- cordova-plugin-device@1.1.6
+-- cordova-plugin-splashscreen@4.0.3
+-- cordova-plugin-statusbar@2.2.3
+-- cordova-plugin-whitelist@1.3.2
+-- cordova-plugin-x-toast@2.6.0
+-- ionic-angular@3.5.3
+-- ionic-plugin-keyboard@2.2.1
+-- ionicons@3.0.0
+-- phonegap-plugin-barcodescanner@6.0.8
+-- rxjs@5.4.0
| `-- symbol-observable@1.0.4
+-- sw-toolbox@3.6.0
| +-- path-to-regexp@1.7.0
| | `-- isarray@0.0.1
| `-- serviceworker-cache-polyfill@4.0.0
+-- typescript@2.3.4
`-- zone.js@0.8.12

npm ERR! peer dep missing: ajv@>=5.0.0, required by ajv-keywords@2.1.0

Other Information-


PS E:\Sen Files\dev\99eeeeeeeeeeeex\Mobile app\to test\Amila ayyas git\endCusApp> npm list -g --depth=0
C:\Users\Senura\AppData\Roaming\npm
+-- babel@6.23.0
+-- babel-cli@6.24.1
+-- cordova@7.0.1
+-- ionic@3.5.0
`-- nodemon@1.11.0

PS E:\Sen Files\dev\99eeeeeeeeeeeex\Mobile app\to test\Amila ayyas git\endCusApp> cordova platform ls
Installed platforms:
  android 4.0.0
  browser 4.1.0
Available platforms:
  blackberry10 ~3.8.0 (deprecated)
  webos ~3.7.0
  windows ~5.0.0
``

<br/>

<img src="//discourse-cloud-file-uploads.s3.dualstack.us-west-2.amazonaws.com/ionicframework/original/3X/b/9/b93fdb2dad1d2cae2719cccdd390af4c5fb614c8.jpg" width="690" height="365">

<br/>

<img src="//discourse-cloud-file-uploads.s3.dualstack.us-west-2.amazonaws.com/ionicframework/original/3X/e/5/e5eb51c650a1849d41574fd425082a96bfa36935.jpg" width="690" height="330">

<br/>


[More screenshots](https://1drv.ms/f/s!Ao3_PEzak8vNkTJ_InYHGJZS26Tg) << Link
----------

Hope you will look in to this. And Thank you for reading this. Please tell me what is causing this.

Same here. I get the same error. Everything works fine on Android, but not in browser.

If you look at the Ionic native page about the plugin, you’ll see the platforms supported. As with most Cordova plugins, you need to be running on a device for Cordova to work. For testing in the browser, you can build a mock, or just comment out the reference to the plugin.